Generated from the live OpenAPI document — 2026-11-13.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|---|---|---|
| GET | /api/platform/audit-events | 200 PagedResultOfPlatformAuditEventDto | |
| GET | /api/platform/audit-events/{id} | 200 PlatformAuditEventDetailDto | |
| GET | /api/platform/billing/events | 200 PagedResultOfPlatformBillingEventDto | |
| GET | /api/platform/billing/invoices | 200 PagedResultOfPlatformInvoiceDto | |
| GET | /api/platform/billing/subscriptions | 200 PagedResultOfPlatformSubscriptionDto | |
| GET | /api/platform/elevation-grants | 200 PagedResultOfOperatorElevationGrantDto | |
| POST | /api/platform/elevation-grants | 200 OperatorElevationGrantDto | |
| PUT | /api/platform/elevation-grants/{id}/revocation | 200 | |
| GET | /api/platform/system-logs | 200 PagedResultOfPlatformSystemLogDto | |
| GET | /api/platform/tenants | 200 PagedResultOfPlatformTenantListItemDto | |
| DELETE | /api/platform/tenants/{id} | 200 PlatformTenantDeletedResult | |
| GET | /api/platform/tenants/{id} | 200 PlatformTenantDetailDto | |
| POST | /api/platform/tenants/{id}/boosts | 200 | |
| DELETE | /api/platform/tenants/{id}/boosts/{boostGuid} | 200 | |
| GET | /api/platform/tenants/{id}/identities | 200 PagedResultOfPlatformTenantIdentityDto | |
| POST | /api/platform/tenants/{id}/identities | 200 PlatformProvisionedTenantIdentityResult | |
| PUT | /api/platform/tenants/{id}/identities/{identityId}/display-name | 200 PlatformTenantIdentityDto | |
| PUT | /api/platform/tenants/{id}/name | 200 PlatformStateChangeResult | |
| PUT | /api/platform/tenants/{id}/plan | 200 PlatformStateChangeResult | |
| PUT | /api/platform/tenants/{id}/suspension | 200 PlatformStateChangeResult | |
| GET | /api/platform/tenants/{id}/users | 200 PagedResultOfPlatformTenantUserDto | |
| POST | /api/platform/tenants/{id}/users | 200 | |
| POST | /api/platform/tenants/provision | 200 ProvisionTenantForOperatorResult |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
OperatorElevationGrantDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| granteeIdentityId | int64 | |
| granteeName | string | |
| authorizerIdentityId | int64 | |
| authorizerName | string | |
| allTenants | boolean | |
| tenantIds | int64[] | |
| purpose | string | |
| expiresAtUtc | date-time | |
| createdAtUtc | date-time |
PagedResultOfOperatorElevationGrantDto
| Property | Type | Description |
|---|---|---|
| items* | OperatorElevationGrantDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformAuditEventDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformAuditEventDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformBillingEventDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformBillingEventDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformInvoiceDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformInvoiceDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformSubscriptionDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformSubscriptionDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformSystemLogDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformSystemLogDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformTenantIdentityDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformTenantIdentityDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformTenantListItemDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformTenantListItemDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PagedResultOfPlatformTenantUserDto
| Property | Type | Description |
|---|---|---|
| items* | PlatformTenantUserDto[] | |
| totalCount | int32 | |
| page | int32 | |
| pageSize | int32 | |
| hasTotal | boolean | |
| moreAvailable | null,boolean | |
| totalPages | int32 | |
| hasNextPage | boolean | |
| hasPreviousPage | boolean |
PlatformAuditEventDetailDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| tenantId | int64 | |
| tenantName | string | |
| createdAtUtc | date-time | |
| category | AuditCategory | |
| action | string | |
| entityLabel | null,string | |
| entityType | LogEntityType | |
| succeeded | boolean | |
| username | null,string | |
| reason | null,string | |
| failureReason | null,string | |
| clientIp | null,string | |
| actingTenantId | int64 | |
| elevationGrantId | int64 | |
| elevationAuthorizerUserId | int64 | |
| elevationReason | null,string | |
| beforeJson | null,string | |
| afterJson | null,string |
PlatformProvisionedTenantIdentityResult
| Property | Type | Description |
|---|---|---|
| identity | PlatformTenantIdentityDto | |
| identityUserId | int64 | |
| createdExisting | boolean | |
| apiKeyMinted | boolean |
PlatformStateChangeResult
| Property | Type | Description |
|---|---|---|
| tenantId* | int64 | |
| tenantName* | string | |
| changed* | boolean | |
| before* | ? | |
| after* | ? |
PlatformTenantDeletedResult
| Property | Type | Description |
|---|---|---|
| tenantId | int64 | |
| tenantName | string | |
| originalSlug | string | |
| retiredSlug | string | |
| usersDeleted | int32 | |
| identitiesDeleted | int32 | |
| apiKeysRevoked | int32 | |
| refreshTokensRevoked | int32 |
PlatformTenantDetailDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| name | string | |
| slug | string | |
| plan | TenantPlan | |
| isPlatformOperator | boolean | |
| isProvisioned | boolean | |
| isActive | boolean | |
| suspendedAtUtc | date-time | |
| forceReadablePersonalMemories | boolean | |
| activeApiKeys | int32 | |
| totalApiKeys | int32 | |
| newestKeyLastUsedAtUtc | date-time | |
| expiredUnadoptedBots | int32 | |
| activeConnectors | int32 | |
| aiCalls30d | int32 | |
| aiFailures30d | int32 | |
| aiCost30dUsd | double | |
| aiCostTotalUsd | double | |
| agentRuns30d | int32 | |
| agentRunFailures30d | int32 | |
| agentCost30dUsd | double | |
| primaryUserId | int64 | |
| primaryUserName | null,string | |
| subscriptionExpiresAtUtc | date-time | |
| userCount | int32 | |
| identityCount | int32 | |
| createdAtUtc | date-time | |
| updatedAtUtc | date-time |
PlatformTenantIdentityDto
| Property | Type | Description |
|---|---|---|
| id | int64 | |
| guid | uuid | |
| name | string | |
| displayName | string | |
| type | IdentityType | |
| isActive | boolean | |
| expiresAtUtc | date-time | |
| username | string | |
| userDisplayName | null,string | |
| createdAtUtc | date-time |
ProvisionTenantForOperatorResult
| Property | Type | Description |
|---|---|---|
| tenantId | int64 | |
| tenantName | string | |
| slug | string | |
| ownerUserId | int64 | |
| ownerUsername | string | |
| ownerEmail | string | |
| magicLinkSent | boolean | |
| devEchoUrl | null,string |